import * as _expressive_code_core from '@expressive-code/core';

/**
 * Expressive Code plugin that adds a small preview of each CSS color in your code examples.
 */
declare function pluginColorChips(): _expressive_code_core.ExpressiveCodePlugin;
interface ColorChipsStyleSettings {
    /** The size of each color chip. Default: `"1.2em"` */
    size: string;
    /** The width of the border around each color chip. Default: `"1px"` */
    borderWidth: string;
    /** The roundness of each color chip. Default: `"50%"` */
    borderRadius: string;
    /** The color of the border around each chip. Default: `({ theme }) => theme.fg` */
    borderColor: string;
    /** The first of two shades used in the checkerboard background for transparent colors. Default: `["#777", "#fff"]` */
    transparencyShadeOne: string;
    /** The second of two shades used in the checkerboard background for transparent colors. Default: `["#000", "#bbb"]` */
    transparencyShadeTwo: string;
}
declare module '@expressive-code/core' {
    interface StyleSettings {
        /** Style overrides for the CSS color chips plugin. */
        colorChips: ColorChipsStyleSettings;
    }
}

export { pluginColorChips };
